<form *ngIf="user" name="deleteForm" (ngSubmit)="confirmDelete(user?.login!)">
    <div class="modal-header header">
        <h4 class="modal-title" jhiTranslate="entity.delete.title">Confirm delete operation</h4>

        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="cancel()">&times;</button>
    </div>

    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>

        <p jhiTranslate="userManagement.delete.question" [translateValues]="{ login: user.login }">Are you sure you want to delete this User?</p>
    </div>

    <div class="modal-footer">
        <button ngbAutofocus type="button" class="btn btn-outline-primary" data-dismiss="modal" (click)="cancel()">
           <span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>

        <button type="submit" class="btn btn-danger">
            <span jhiTranslate="entity.action.delete">Delete</span>
        </button>
    </div>
</form>
